Bug 200190 - devel/linux-*-dbus-libs lack symlink for /var/lib/dbus/machine-id
Summary: devel/linux-*-dbus-libs lack symlink for /var/lib/dbus/machine-id
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on: 215174
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-14 14:26 UTC by David Chisnall
Modified: 2017-01-11 15:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (emulation)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Chisnall freebsd_committer 2015-05-14 14:26:52 UTC
The following symlink is required, or linux-firefox crashes on startup:

ln -s /var/db/dbus /compat/linux/var/lib/

With this line, it doesn't appear to actually work, but it spawns a load of threads and doesn't crash.

Deleting ~/.mozilla causes it to start, but after a short while the windows stop repainting and responding to input.  It then won't launch again until the settings are deleted again.
Comment 1 Jan Beich freebsd_committer 2015-08-11 14:21:33 UTC
Over to emulation per bug 202218 comment 6.
Comment 2 Jan Beich freebsd_committer 2015-08-11 14:37:18 UTC
(In reply to David Chisnall from comment #0)
> it doesn't appear to actually work, but it spawns a load of threads and doesn't crash.

This maybe related to recent linuxulator update on 11.0-CURRENT by dchagin. Can you check if the port doesn't work on 10.x kernel as well?
Comment 3 David Chisnall freebsd_committer 2015-09-28 10:30:32 UTC
I was testing on a 10.1 kernel.  I can re-test on 10.2 if required.
Comment 4 Tijl Coosemans freebsd_committer 2017-01-11 15:16:44 UTC
Fixed in ports r431187 by moving the file in devel/dbus instead of devel/linux-*-dbus-libs.